Package opennlp.tools.util.normalizer

# Enum Class UnicodeWhitespace.Category

java.lang.Object
java.lang.Enum<UnicodeWhitespace.Category>
opennlp.tools.util.normalizer.UnicodeWhitespace.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<UnicodeWhitespace.Category>`, `Constable`

Enclosing class:
  `UnicodeWhitespace`

public static enum UnicodeWhitespace.Category extends Enum<UnicodeWhitespace.Category>
Unicode general category for a whitespace or related code point.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Cc`
  `Cc` - control.
  `Cf`
  `Cf` - format (the related, non-whitespace code points).
  `Zl`
  `Zl` - line separator.
  `Zp`
  `Zp` - paragraph separator.
  `Zs`
  `Zs` - space separator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnicodeWhitespace.Category`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnicodeWhitespace.Category[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Cc

    public static final UnicodeWhitespace.Category Cc
    `Cc` - control.

  - ### Zs

    public static final UnicodeWhitespace.Category Zs
    `Zs` - space separator.

  - ### Zl

    public static final UnicodeWhitespace.Category Zl
    `Zl` - line separator.

  - ### Zp

    public static final UnicodeWhitespace.Category Zp
    `Zp` - paragraph separator.

  - ### Cf

    public static final UnicodeWhitespace.Category Cf
    `Cf` - format (the related, non-whitespace code points).

- ## Method Details

  - ### values

    public static UnicodeWhitespace.Category[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnicodeWhitespace.Category valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null